summaryrefslogtreecommitdiff
path: root/dev-python/reedsolo
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-01 18:19:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-01 18:19:19 +0000
commit7d324e3dc7fb89b1c9cfe91c6d273e85b2b97283 (patch)
tree878a98e0710b28266eb53df45682dccf605e35cc /dev-python/reedsolo
parent52bb0d01d0d86e550d26ff66f75e9b149d296f86 (diff)
downloadbaldeagleos-repo-7d324e3dc7fb89b1c9cfe91c6d273e85b2b97283.tar.gz
baldeagleos-repo-7d324e3dc7fb89b1c9cfe91c6d273e85b2b97283.tar.xz
baldeagleos-repo-7d324e3dc7fb89b1c9cfe91c6d273e85b2b97283.zip
Adding metadata
Diffstat (limited to 'dev-python/reedsolo')
-rw-r--r--dev-python/reedsolo/reedsolo-2.1.1_beta1-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/reedsolo/reedsolo-2.1.1_beta1-r1.ebuild b/dev-python/reedsolo/reedsolo-2.1.1_beta1-r1.ebuild
new file mode 100644
index 000000000000..d1c50e6708b1
--- /dev/null
+++ b/dev-python/reedsolo/reedsolo-2.1.1_beta1-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python Reed Solomon encoder/decoder"
+HOMEPAGE="
+ https://github.com/tomerfiliba-org/reedsolomon/
+ https://pypi.org/project/reedsolo/
+"
+
+LICENSE="|| ( Unlicense MIT-0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+native-extensions"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/pytest-cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ local DISTUTILS_ARGS=()
+ if use native-extensions && [[ ${EPYTHON} != pypy3 ]] ; then
+ DISTUTILS_ARGS+=(
+ # TODO: switch to --cythonize once we're on cython-3
+ --native-compile
+ )
+ fi
+ distutils-r1_python_compile
+}